/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { WebExpressionTreeDescription } from "./WebExpressionTreeDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebFilteringExpressionsTreeDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebFilteringExpressionsTreeDescription, _super);
    function WebFilteringExpressionsTreeDescription() {
        var _this = _super.call(this) || this;
        _this.u = null;
        _this.af = null;
        _this.z = null;
        _this.ae = null;
        _this.ad = null;
        _this.ac = null;
        _this.v = null;
        return _this;
    }
    WebFilteringExpressionsTreeDescription.prototype.get_type = function () {
        return "WebFilteringExpressionsTree";
    };
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "filteringOperands", {
        get: function () {
            return this.u;
        },
        set: function (a) {
            this.u = a;
            this.g("FilteringOperands");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "treeType", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.g("TreeType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "owner", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.g("Owner");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "operator", {
        get: function () {
            return this.ae;
        },
        set: function (a) {
            this.ae = a;
            this.g("Operator");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "fieldName", {
        get: function () {
            return this.ad;
        },
        set: function (a) {
            this.ad = a;
            this.g("FieldName");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "entity", {
        get: function () {
            return this.ac;
        },
        set: function (a) {
            this.ac = a;
            this.g("Entity");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebFilteringExpressionsTreeDescription.prototype, "returnFields", {
        get: function () {
            return this.v;
        },
        set: function (a) {
            this.v = a;
            this.g("ReturnFields");
        },
        enumerable: false,
        configurable: true
    });
    WebFilteringExpressionsTreeDescription.$t = markType(WebFilteringExpressionsTreeDescription, 'WebFilteringExpressionsTreeDescription', WebExpressionTreeDescription.$);
    WebFilteringExpressionsTreeDescription.__marshalByValue1 = true;
    WebFilteringExpressionsTreeDescription.__marshalByValueAlias1 = "FilteringExpressionsTree";
    return WebFilteringExpressionsTreeDescription;
}(WebExpressionTreeDescription));
export { WebFilteringExpressionsTreeDescription };
